import "./tasks/corealigner.wdl" as corealigner
import "./tasks/TNseq.wdl" as TNseq
import "./tasks/TNscope.wdl" as TNscope


workflow {{ project_name }} {

	File tumor_recaled_bam
	File tumor_recaled_bam_index
	File normal_recaled_bam
	File normal_recaled_bam_index

	String SENTIEON_INSTALL_DIR
	String SENTIEON_LICENSE
	String sample
	String SENTIEONdocker

	String fasta
	File ref_dir
	File dbmills_dir
	String db_mills
	File dbsnp_dir
	String dbsnp
	String disk_size
	String cluster_config

	call corealigner.corealigner as corealigner {
		input:
		SENTIEON_INSTALL_DIR=SENTIEON_INSTALL_DIR,
		SENTIEON_LICENSE=SENTIEON_LICENSE,
		fasta=fasta,
		ref_dir=ref_dir,
		sample=sample,
		docker=SENTIEONdocker,
		db_mills=db_mills,
		dbmills_dir=dbmills_dir,
		dbsnp=dbsnp,
		dbsnp_dir=dbsnp_dir,
		disk_size=disk_size,
		tumor_recaled_bam=tumor_recaled_bam,
		tumor_recaled_bam_index=tumor_recaled_bam_index,
		normal_recaled_bam=normal_recaled_bam,
		normal_recaled_bam_index=normal_recaled_bam_index,
		cluster_config=cluster_config
	}

	call TNseq.TNseq as TNseq {
		input:
		SENTIEON_INSTALL_DIR=SENTIEON_INSTALL_DIR,
		SENTIEON_LICENSE=SENTIEON_LICENSE,
		fasta=fasta,
		ref_dir=ref_dir,
		corealigner_bam=corealigner.corealigner_bam,
		corealigner_bam_index=corealigner.corealigner_bam_index,
		dbsnp=dbsnp,
		dbsnp_dir=dbsnp_dir,
		tumor_name=sample + "tumor",
		normal_name=sample + "normal",
		docker=SENTIEONdocker,
		sample=sample,
		disk_size=disk_size,
		cluster_config=cluster_config
	}

	call TNscope.TNscope as TNscope {
		input:
		SENTIEON_INSTALL_DIR=SENTIEON_INSTALL_DIR,
		SENTIEON_LICENSE=SENTIEON_LICENSE,
		fasta=fasta,
		ref_dir=ref_dir,
		corealigner_bam=corealigner.corealigner_bam,
		corealigner_bam_index=corealigner.corealigner_bam_index,
		dbsnp=dbsnp,
		dbsnp_dir=dbsnp_dir,
		tumor_name=sample + "tumor",
		normal_name=sample + "normal",
		docker=SENTIEONdocker,
		sample=sample,
		disk_size=disk_size,
		cluster_config=cluster_config
	}
}
